
#ifndef _CT_CLIP_H
#define _CT_CLIP_H

#include "ct_poly.h"
#include "../source/ff_clip.c"

// Clipping plane identifiers
enum CT_Plane { CT_Front, CT_Left, CT_Bottom, CT_Diag };

// Cubic tetrahedron polygon clipper
class CubicClip : public FormClip
{
  private:
	 void BuildTransform( Vector3 &, Vector3 &, Vector3 & );

  public:
	 CubicClip();

	 void SetView( Patch3 * );
	 void UpdateView( int );
};

#endif

