#ifndef _CT_SCAN_H
#define _CT_SCAN_H

#include "../source/ff_scan.c"
#include "../source/ct_delta.c"

// Cubic tetrahedron polygon scan conversion
class CubicScan :  public FormScan
{
  private:
	 CubicDelta dff;     // Delta form factors

  public:
	 CubicScan();

	 ~CubicScan();

	 void InitBuffer();
	 void DrawEdgeList();
	 void SumDeltas( float * );
};

#endif

